Rust 1.31.0

# Method Syntax

There is a new edition of the book and this is an old link.

> Methods are different from functions in that they’re defined within the context of a struct, and their first parameter is always `self`, which represents the instance of the struct the method is being called on.

    impl Rectangle {
        fn area(&self) -> u32 {
            self.width * self.height
        }
    }Run

Here are the relevant sections in the new and old books:

- In the second edition: Ch 5.03 — Method Syntax
- In the first edition: Ch 3.16 — Method Syntax